Create Reason Code

This API requires the Account Administrator role.

Creates a new Reason Code that can then be selected by agents in a agent desktop client. Reason codes can be of type 'NOT_READY', 'LOGOUT' or 'CALL_WORK_CODE'. 'NOT_READY' is used to indicate the reason the agent has went not ready (will not receive any new Engagements).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length between 6 and 6
^[a-zA-Z]{6}$

The unique 6 character internal id that represents the customer account.

uuid
required

The unique id of the Communication Manager

Body Params

Reason Code

Reason codes are a set of codes that agents can select from agent desktop clients to further describe their current activity or state. Reason Codes consist of a unique codeName, codeNumber and codeType combination. This API is used to create, update, retrieve and delete NOT_READY, LOGOUT reason codes and CALL_WORK_CODE codes.

string
required
length between 1 and 20
^[a-zA-Z\p{L}0-9]+([ ]*[a-zA-Z\p{L}0-9-\_\*\=\+\$\:\;\&\~\,\?\%\!\|\{\}\`\.\']+)*$

The name of the Reason Code. If code type is NOT_READY or LOGOUT, code name length must be up to 16 unicode characters and if code type is CALL_WORK_CODE, code name length must be up to 20 unicode characters.

string
required
length between 1 and 16
^[0-9][0-9]*$

The number of the Reason Code. If code type is NOT_READY, code number must be between 1 to 99. If code type is LOGOUT, code number must be between 1 to 9 and if code type is CALL_WORK_CODE, code number must be of 16 digits.

string
enum
required

The type of the Reason Code

Allowed:
string
length between 0 and 1024

The description for the Reason Code

boolean

Indicates if the Reason Code is interruptible. This is applicable to NOT READY Reason Codes.

systemDefinedAttributes
array of objects
length ≤ 5

Indicates if the Reason Code has additional system defined behavior. This is applicable to NOT READY Reason Codes. Only one Not Ready Reason Code shall be allowed to be marked as 'Work on Digital'. If a Not Ready Reason Code is marked as 'Work on Digital', it cannot be assigned any other system-defined attribute. At least one Not Ready Reason Code needs to be marked as 'Work on Digital'.

systemDefinedAttributes
Allowed:
string
length between 6 and 6
^[a-zA-Z]{6}$

Unique Id for Account or Node where Reason Code gets created

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json
application/problem+json